Track multiple messages with filters for a specific time range

Limit the tracking result of multiple sms by passing filters (accept a date range only for the latest 7 days).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

RESPONSE PARAMETERS

KEYDESCRIPTION
totalPagesThe number of total pages.
lastWhether the current page is the last one.
totalElementsThe total amount of elements for the current search.
firstWhether the current page is the first one.
numberOfElementsThe number of elements currently on this page.
numberThe requested page number.
sizeThe requested page size.
contentContains the search results.
content.applicationNameThe name of the application that was used to send this message.
content.campaignNameThe name of the campaign that this message was send from.
content.campaignTrackingIdThe tracking id of the campaign that this message was sent from.
content.countryThe country of the recipient in ISO 3166-1 alpha 2 format.
content.smsIdThe unique id of one SMS part included in a message. If the message is multipart then these values will be different for each part.
content.messageIdThe id of the message. All the parts of a multipart SMS have the same messageId.
content.groupsThe groups that the recipient belongs to.
content.bodyThe message of the SMS.
content.operatorThe operator of the recipient.
content.originatingServiceThe service that sent this message.
content.toThe recipient.
content.latencyThe overall delivery latency of the message.
content.partsThe number of actual SMS parts.
content.partThe number of the current SMS part.
content.priceThe cost of this SMS part.
content.labelThe label that was given to the SMS tracking.
content.statusInformation about the Sms status.
content.status.dateThe date that the status was reported.
content.status.statusThe status of the SMS. Check here for possible values.
content.status.reasonThe reason of the status
content.status.reason.detailedStatusThe detailed status.
Possible values: Sent, Delivered, Undelivered, Failed, Undelivered on Handset, Unknown Number, Roaming, Call Barred, Unknown Status, Carrier Violation, Expired.
Check here for details.
content.status.reason.descriptionThe description of the detailed status
content.fromThe sender Id of the message
content.directionThe direction of the message. Possible values: "Inbound", "Outbound"
content.receivedDateThe date that an inbound message has received.

ERROR CODES

STATUSCODEDESCRIPTION
404404001001Account not found.
400404009001Campaign not found.
Query Params
date
required

ISO-8601 date-time format (accept a date range only for the latest 7 days)

date
required

ISO-8601 date-time format (accept a date range only for the latest 7 days)

int32
Defaults to 0

The page number to retrieve, default value is 0 (meaning the first page).

int32
Defaults to 20

The number of items to retrieve, default value is 20. Max value is 2000.

string

The field name that will be used to sort the results.

string

If provided then only the SMS messages for the specific Campaign Tracking Id will be retrieved.

boolean

If true it will return only SMS messages that belong to an SMS campaign.

Body Params
string
required

The name of the field to filter. Available values: smsId, to, status.status, direction, label, campaign

string
required

The exact value that the specified field must match.

string
Defaults to "is"

Optional: The operator upon which the search operation will be executed. Possible values: 'is', 'is_not', 'contains', 'starts_with', 'ends_with'. If missing defaults to 'is'.

Headers
string
required
Defaults to application/json

application/json

string
required
Defaults to Bearer {access_token}

Bearer {access_token}

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json